/*
 * 
 * Created on Jul 4, 2005
 * 
 * György Süveges
 * Etixpert Kft.
 * Copyright(c) 2005
 * 
 */
package com.etixpert.evolution.gui.servlets.pageactions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.etixpert.evolution.gui.servlets.AboHelper;

/**
 * @author Suveges Gyorgy
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class new_abochange_quantity extends new_orderchange_quantity {

    /**
     * 
     */
    public new_abochange_quantity() {
        super();
       
    }
    
    protected void handle(HttpServletRequest request, HttpServletResponse response) throws Exception {
        String prefix = AboHelper.getPrefix(request);
        newDetails = prefix+"new_abo_details";
	    newError = prefix+"new_abo_error";
	    toNewPos = prefix+"to_new_pos_abo";
	    PageActionHandler.changeBooleanValues(request, (java.util.Map) request.getSession().getAttribute(newDetails), "subscription");
	    super.handle(request, response);
    }

}
